import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbdd{
    constructor () {
        this.data = {
						bddgrp:{
							rec:{
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								igndisflg:"",			//  Ignore Discrepancies		.bddgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.bddgrp.rec.advtyp
								totdat:"",			//  付款日期		.bddgrp.rec.totdat
								disdat:"",			//  不符点通知日期		.bddgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.bddgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.bddgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.bddgrp.rec.reltyp
								relgoddat:"",			//  issue date		.bddgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.bddgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.bddgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.bddgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.bddgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.bddgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.bddgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.bddgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.bddgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							blk:{
								comcon:"",			//  Comments and Conclusions		.bddgrp.blk.comcon
								docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
								accrmk:"",			//  到期付款确认备注		.bddgrp.blk.accrmk
								vesnam:"",			//  Vessel Name		.bddgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.bddgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.bddgrp.blk.delplc
								roggod:"",			//  Covered Goods		.bddgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.bddgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.bddgrp.blk.porlod
								voynum:"",			//  Voyage numer		.bddgrp.blk.voynum
								notpty:"",			//  Notify Party		.bddgrp.blk.notpty
								carnam:"",			//  Carrier		.bddgrp.blk.carnam
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.shp.namelc
								adrelc:"",			//  地址		.bddgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.shp.dbfadrblkcn
							},
						},
						didgrp:{
							rec:{
								ownref:"",			//  信用证参考号		.didgrp.rec.ownref
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
						},
						recpan:{
							didget:{
								sdamod:{
									seainf:"",			//  		.recpan.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.didget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.recpan.matp.mattxtlab
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.recpan.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.recpan.cre752flg
							furide:"",			//  Further Identification		.recpan.furide
							cre732flg:"",			//  Create MT 732		.recpan.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.recpan.connum
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						infcon:{
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							sepp:{
								feptxtlbl:"",			//  label used for FEP-Stream		.infcon.sepp.feptxtlbl
								fcptxtlbl:"",			//  label used for FCP-Stream		.infcon.sepp.fcptxtlbl
								sepstm:"",			//  Stream of selected SEP		.infcon.sepp.sepstm
								fcpstm:"",			//  Stream of FCP		.infcon.sepp.fcpstm
								fepstm:"",			//  Stream of FEP		.infcon.sepp.fepstm
								glpstm:"",			//  Stream of GLP		.infcon.sepp.glpstm
							},
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
						},
						trnmod:{
							docimm:{
								prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.trnmod.docimm.prtswtrpblk
								xmldocblk:"",			//  XMLPanel xmldoc的内置block		.trnmod.docimm.xmldocblk
							},
						},
				}
    }
}